Bug 80746 - Installer crashes on RAID devices with a filesystem
Installer crashes on RAID devices with a filesystem
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks: 79578
  Show dependency treegraph
 
Reported: 2002-12-30 15:12 EST by Bernhard Erdmann
Modified: 2008-01-17 12:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-25 10:56:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda's dump (63.51 KB, text/plain)
2002-12-30 15:14 EST, Bernhard Erdmann
no flags Details

  None (edit)
Description Bernhard Erdmann 2002-12-30 15:12:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; IRIX64 IP28; en-US; rv:1.3b) Gecko/20021228

Description of problem:
Two software RAID devices were created, initialized (with persistant superblock)
and mkfs.xfs'ed before the installation. The installer recognized the RAID
devices and the XFS filesystem on it. When editing one device to be used for /
and choosing ext3 as the new filesystem, anaconda failed.
Then 50 MB of /dev/zero were written to the RAID devices. Anaconda said
"foreign" to them but failed in the same manner when choosing ext3-FS.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. mkraid /dev/md0 (RAID1) and /dev/md1 (RAID0)
2. mkfs.xfs /dev/md0
3. start installer
4. edit /dev/md0 for / with ext3
5. anaconda crashes
    

Expected Results:  no crash

Additional info:

two EIDE disks (14 GB) were used for the RAID devices:

# fdisk -l /dev/hd[ac]

Disk /dev/hda: 16 heads, 63 sectors, 28005 cylinders
Units = cylinders of 1008 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/hda1   *         1       102     51376+  83  Linux
/dev/hda2           103       610    256032   82  Linux swap
/dev/hda3           611      1220    307440   fd  Linux raid autodetect
/dev/hda4          1221     28005  13499640   fd  Linux raid autodetect

Disk /dev/hdc: 16 heads, 63 sectors, 28005 cylinders
Units = cylinders of 1008 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/hdc1   *         1       102     51376+  83  Linux
/dev/hdc2           103       610    256032   82  Linux swap
/dev/hdc3           611      1220    307440   fd  Linux raid autodetect
/dev/hdc4          1221     28005  13499640   fd  Linux raid autodetect

# cat /etc/raidtab
raiddev /dev/md0
        raid-level              1
        persistent-superblock   1
        chunk-size              32
        nr-raid-disks           2
        device                  /dev/hda3
        raid-disk               0
        device                  /dev/hdc3
        raid-disk               1
raiddev /dev/md1
        raid-level              0
        persistent-superblock   1
        chunk-size              32
        nr-raid-disks           2
        device                  /dev/hda4
        raid-disk               0
        device                  /dev/hdc4
        raid-disk               1
Comment 1 Bernhard Erdmann 2002-12-30 15:14:38 EST
Created attachment 88993 [details]
anaconda's dump
Comment 2 Michael Fulbright 2003-02-12 12:20:13 EST
Fixed.  A variable was not being properly initialized in the case for editting
pre-existing RAID fs.
Comment 3 Brent Fox 2003-05-25 10:56:10 EDT
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.

Note You need to log in before you can comment on or make changes to this bug.